Summary: An X Window System/Motif based interactive astronomy program.
Name: xephem
Version: 3.4
Release: 1
Copyright: distributable
Group: Applications/Multimedia
Source: http://www.clearskyinstitute.com/xephem/xephem/xephem-%{version}.tar.gz
Source1: %{name}.desktop
Source2: XEphem.ad
Url: http://www.clearskyinstitute.com/xephem/xephem.html
Requires: openmotif
BuildPrereq: openmotif-devel >= 2.1.30
BuildRoot: %{_tmppath}/%{name}-root

%description
Xephem is an interactive astronomy program for X Windows systems.

%prep
%setup -q

%build
cd libastro
xmkmf -a
make CDEBUGFLAGS="$RPM_OPT_FLAGS -fno-exceptions -fno-rtti -Os" \
	CXXDEBUGFLAGS="$RPM_OPT_FLAGS -fno-exceptions -fno-rtti -fno-check-new -Os"

cd ../GUI/xephem
xmkmf -a
make CDEBUGFLAGS="$RPM_OPT_FLAGS -fno-exceptions -fno-rtti -Os" \
	CXXDEBUGFLAGS="$RPM_OPT_FLAGS -fno-exceptions -fno-rtti -fno-check-new -Os"

%install
rm -rf $RPM_BUILD_ROOT

make install install.man DESTDIR=$RPM_BUILD_ROOT -C GUI/xephem
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
mkdir -p $RPM_BUILD_ROOT/usr/share/xephem

cd GUI/xephem
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/XEphem

make -C fifos
cp -a tools auxil catalogs fifos $RPM_BUILD_ROOT/usr/share/xephem/

install -d $RPM_BUILD_ROOT/etc/X11/applnk/Applications/
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/applnk/Applications/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/X11/applnk/Applications/xephem.desktop
/usr/X11R6/bin/xephem
/usr/X11R6/man/man1/xephem.1x*
%config(noreplace) /usr/X11R6/lib/X11/app-defaults/XEphem
/usr/share/xephem/*

%changelog
* Thu Dec 07 2000 Than Ngo <than@redhat.com>
- updated 3.4
- clean up specfile

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Thu Jul 13 2000 Than Ngo <than@redhat.de>
- rebuilt

* Tue Jun 13 2000 Than Ngo <than@redhat.de>
- rebuilt with openmotif-2.1.30
- clean up specfile
- remove wmconfig/xephem, add xephem.desktop

* Tue Jan 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- bzip2 source
- handle RPM_OPT_FLAGS, and while at it, add some flags to reduce size
- strip binaries

* Fri Jan 14 2000 Ngo Than <than@redhat.de>
- updated to 3.2.3

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- updated source to 3.2.2
- built for 6.1

* Mon Apr 13 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Oct 14 1998 Michael Maher <mike@redhat.com>
- built package for 5.2 powertools

* Fri May 22 1998 Cristian Gafton <gafton@redhat.com>
- updated to ver. 3.1
- reworked spec file

* Thu Dec  4 1997 Otto Hammersmith <otto@redhat.com>
- tracked down core dump on i386

* Wed Dec  3 1997 Otto Hammersmith <otto@redhat.com>
- fixed nawk problem

* Thu Nov 20 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig

* Tue Nov 18 1997 Otto Hammersmith <otto@redhat.com>
- built for glibc
- moved buildroot to /var/tmp from /tmp
- removed exclusive arch, since we now have motif for alpha and sparc

* Thu May 01 1997 Michael Fulbright <msf@redhat.com>
- Updated to 3.0 and a changed to build with a BuildRoot
